Payment
Fetch payment method details
Retrieve channel-specific details for a given payment method linked to a payment order, including payment URLs, QR codes, deep links and method metadata required to render the checkout experience. At least one of 'orderSn' or 'outerOrderSn' must be provided in the request body to identify the related payment order.
Header Parameters
X-R-Ts*string
request timestamp in milliseconds
X-R-Ak*string
merchant's appKey
X-R-Signature*string
request signature
X-R-Key-Version?string
merchant's private key version, default is 1
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Get payment method request.
- 'methodId' is required.
- At least one of 'orderSn' or 'outerOrderSn' must be provided to identify the target payment order.
Get payment method request.
- 'methodId' is required.
- At least one of 'orderSn' or 'outerOrderSn' must be provided to identify the target payment order.
Response Body
*/*
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/openapi/v2/order/payment-method" \ -H "X-R-Ts: 1762327084929" \ -H "X-R-Ak: string" \ -H "X-R-Signature: string" \ -H "Content-Type: application/json" \ -d '{ "methodId": "redotpay", "orderSn": "PRE20260000001" }'{ "code": "SUCCESS", "msg": "OK", "requestId": "req-pm-001", "data": { "id": "redotpay", "name": "RedotPay", "appName": "RedotPay", "logo": "https://cdn.example.com/logos/visa.png", "webUrl": "https://pay.example.com/checkout?method=redotpay&order=PRE20260000001", "webQrCode": "", "h5Url": "https://m.pay.example.com/checkout?method=redotpay&order=PRE20260000001", "h5QrCode": "", "appUrl": "app://pay?method=redotpay&order=PRE20260000001", "appQrCode": "" }}{ "code": "paramFormatError", "message": "request param invalid"}{ "code": "authorizationInvalid", "message": "authorizationInvalid invalid"}{ "code": "notInWhiteList", "message": "request ip not in the white list"}{ "code": "frequencyLimited", "message": "Too many requests, please try again later"}